package ru.yandex.wmtools.common.service;

import ru.yandex.wmtools.common.error.InternalException;


/**
 * Created by IntelliJ IDEA.
 * User: senin
 * Date: 20.01.2009
 * Time: 10:40:42
 */
public interface ISupportService extends IService {
    boolean isBlockedUser(long userId) throws InternalException;

    boolean isSupportUser(long userId) throws InternalException;

    boolean isKnownUser(long userId) throws InternalException;

    boolean isSupportAndNotBlockedUser(long userId) throws InternalException;

    boolean isUserHaventAcceptedLicence(long userId) throws InternalException;
}
